import has = require("./has");

declare module "./has" {
    interface Has {
        (name: 'air'): boolean;
        (name: 'wp'): void | number;
        (name: 'msapp'): void | number;
        (name: 'khtml'): void | number;
        (name: 'edge'): void | number;
        (name: 'opr'): void | number;
        (name: 'webkit'): void | number;
        (name: 'chrome'): void | number;
        (name: 'android'): void | number;
        (name: 'safari'): void | number;
        (name: 'mac'): boolean;
        (name: 'quirks'): boolean;
        (name: 'iphone'): void | number;
        (name: 'ipod'): void | number;
        (name: 'ipad'): void | number;
        (name: 'ios'): void | number;
        (name: 'bb'): void | number | boolean;
        (name: 'trident'): void | number;
        (name: 'svg'): boolean;
        (name: 'opera'): void | number;
        (name: 'mozilla'): void | number;
        (name: 'ff'): void | number;
        (name: 'ie'): void | number;
        (name: 'wii'): boolean | any;
    }
}

export = has;